org.apache.poi.hwpf.sprm

## Class SprmUtils

- java.lang.Object
- - org.apache.poi.hwpf.sprm.SprmUtils

-     @Internal
      public final class SprmUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SprmUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `addSpecialSprm(short instruction, byte[] varParam, java.util.List<byte[]> list)`
    `static int` | `addSprm(short instruction, boolean param, java.util.List<byte[]> list)`
    `static int` | `addSprm(short instruction, int param, byte[] varParam, java.util.List<byte[]> list)`
    `static int` | `convertBrcToInt(short[] brc)`
    `static byte[]` | `getGrpprl(java.util.List<byte[]> sprmList, int size)`
    `static byte[]` | `shortArrayToByteArray(short[] convert)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SprmUtils

          public SprmUtils()

  - ### Method Detail

    - #### shortArrayToByteArray

          public static byte[] shortArrayToByteArray(short[] convert)

    - #### addSpecialSprm

          public static int addSpecialSprm(short instruction,
                                           byte[] varParam,
                                           java.util.List<byte[]> list)

    - #### addSprm

          public static int addSprm(short instruction,
                                    boolean param,
                                    java.util.List<byte[]> list)

    - #### addSprm

          public static int addSprm(short instruction,
                                    int param,
                                    byte[] varParam,
                                    java.util.List<byte[]> list)

    - #### getGrpprl

          public static byte[] getGrpprl(java.util.List<byte[]> sprmList,
                                         int size)

    - #### convertBrcToInt

          public static int convertBrcToInt(short[] brc)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.